routes/web.php
    Route::post('sknjop-kolektif', 'sknjopController@storeKolektif');
    Route::get('sknjop-cetak/{id}', 'sknjopController@previewCetak');
    Route::get('sknjop-tanda-terima/{id}', 'sknjopController@tandaterima');
    Route::get('sknjop-tanda-cetak/{id}', 'sknjopController@tandaterimaPreview');
    Route::get('sknjop-render-batch/{id}', 'sknjopController@batchRender');
    Route::get('sknjop-cetak-batch/{id}', 'sknjopController@batchPreview');
    Route::resource('sknjop', 'sknjopController')->except(['edit', 'update'])->middleware(['permission:sknjop.menu']);
    Route::resource('sknjop-verifikasi', 'SknjopVerifikasiController')->except(['create', 'store', 'destroy']);
    // PenetapanObjekController
    route::resource('penetapan', 'PenetapanObjekController')->only(['index', 'create', 'store']);
    route::get('cetak-sppt', 'SpptController@FormCetak')->name('cetak.index');
    route::post('cetak-sppt', 'SpptController@generateSppt')->name('cetak.generate');
    // penelitian
    Route::group(['prefix' => 'penelitian', 'as' => 'penelitian.'], function () {
        route::get('penolakan', 'penelitianKantorController@ditolak');
        route::get('sk-penolakan/{id}', 'penelitianKantorController@ditolakSk');
        route::get('hasil-penelitian', 'LhpController@index')->middleware(['permission:penelitian.hasil-penelitian.menu']);
        route::get('hasil-penelitian-cancel/{id}', 'LhpController@cancelPenelitian')->name('hasil.cancel');
        route::get('kantor-hasil-penelitian/{id}', 'penelitianKantorController@hasilPenelitian');
        route::get('lapangan-hasil-penelitian/{id}', 'penelitianLapanganController@hasilPenelitian');
        route::get('nota-perhitungan', 'LhpController@notaPerhitungan')->middleware(['permission:penelitian.nota-perhitungan.menu']);
        route::get('nota-perhitungan-print', 'LhpController@notaPerhitunganprint');
        route::get('nota-perhitungan-excel', 'LhpController@notaPerhitunganExcel');
        route::get('nota-perhitungan-hapus/{id}', 'LhpController@notaPerhitunganhapus');
        route::get('kantor-switch/{id}', 'penelitianKantorController@switchPenelitian');
        route::get('lapangan-switch/{id}', 'penelitianLapanganController@switchPenelitian');
        route::post('kantor-pecah', 'penelitianKantorController@savePecah');
        route::get('kantor-pecah-proses', 'penelitianKantorController@savePecahFinal');
        route::get('kantor-pecah-list', 'penelitianKantorController@dataPecah');
        route::post('kantor-tolak/{id}', 'penelitianKantorController@SimpanTolak')->name('kantor.tolak');
        route::resource('kantor', 'penelitianKantorController')->middleware(['permission:penelitian.kantor.menu']);
        route::resource('lapangan', 'penelitianLapanganController')->middleware(['permission:penelitian.lapangan.menu']);
        route::get('objek-penelitian', 'penelitianLapanganController@listObjekPenelitian');
        route::get('cetak-spop/{formulir}', 'spopController@cetakSpop');
        route::get('sk', 'SuratKeputusanController@index')->middleware(['permission:penelitian.sk.menu']);
        route::get('sk_cetak', 'SuratKeputusanController@cetak');
    });
    route::get('besembilan', 'besembilanController@index')->middleware(['permission:besembilan.menu']);
    route::get('pelimpahan', 'besembilanController@indexPelimpahan');
    Route::group(['prefix' => 'dbkb', 'as' => 'dbkb.'], function () {
        Route::resource('harga-fasilitas', 'HrgFasilitasController')->only(['index', 'create', 'store']);
        Route::get('harga-fasilitas-export', 'HrgFasilitasController@exportPdf')->name('harga-fasilitas.export');
        Route::resource('daya-dukung', 'DbkbDayaDukungController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-dua', 'DbkbJpbDuaController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-tiga', 'DbkbJpbTigaController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-empat', 'DbkbJpbEmpatController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-lima', 'DbkbJpbLimaController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-enam', 'DbkbJpbEnamController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-tujuh', 'DbkbJpbTujuhController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-delapan', 'DbkbJpbDelapanController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-sembilan', 'DbkbJpbSembilanController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-dua-belas', 'DbkbJpbDuaBelasController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-tiga-belas', 'DbkbJpbTigaBelasController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-empat-belas', 'DbkbJpbEmpatBelasController')->only(['index', 'create', 'store', 'edit', 'update']);
        Route::resource('jepebe-lima-belas', 'DbkbJpbLimaBelasController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-enam-belas', 'DbkbJpbEnamBelasController')->only(['index', 'create', 'store']);
        route::resource('mezanine', 'dbkbMezanineController');
    });

    Route::group(['prefix' => 'ssh', 'as' => 'ssh.'], function () {
        Route::get('harga-resource-cetak/{tahun}/{tipe}', 'HrgResourceController@cetak')->name('harga-resource.cetak');
        Route::resource('harga-resource', 'HrgResourceController')->only(['index', 'create', 'store']);
        Route::resource('harga-kegiatan', 'HrgKegiatanController')->only(['index', 'create', 'store']);
        Route::get('harga-kegiatan.export', 'HrgKegiatanController@exportPdf')->name('harga-kegiatan.export');
    });
    Route::group(['prefix' => 'potongan', 'as' => 'potongan.'], function () {
        route::get('/', 'MsPotonganController@listPotongan')->name('index');
        route::get('/excel', 'MsPotonganController@listPotonganExcel')->name('excel');
        route::get('/rekap', 'MsPotonganController@RekapPotongan')->name('rekap');
    });

    route::resource('kelola-nop', 'KelolaNopController')->middleware('wajibPajakVerification');
    // route::get('kelola-nop-verifikasi/{id}', 'KelolaNopController@verifikasi');
    // route::post('kelola-nop-verifikasi/{id}', 'KelolaNopController@verifikasiStore');
    route::post('kelola-nop-preview', 'KelolaNopController@previewNop');
    route::resource('kelola-nop-verifikasi', 'KelolaNopVerifikasiController')->only(['index', 'edit', 'update']);
    route::resource('kelola-objek-verifikasi', 'KelolaObjekVerifikasi');


    route::post('permohonan-pengelola-objek/{id}', 'KelolaNopController@storePermohonanPengelola');

    route::resource('kelola-developer', 'kelolaDeveloperController');
    // route::resource('kelola-developer-verifikasi', 'KelolaDeveloperVerifikasiController')->only(['index', 'edit', 'update']);
    route::resource('kelola-rayon', 'KelolaRayonController');
});


route::get('tes', function (Request $request) {
    $url = 'http://localhost/simpbb/esppt?nop=3507260001017053902023';
    return view("iframe", compact('url'));
});

Route::get('esppt', function (Request $request) {
    $nop = $request->nop;
    return Esppt::generate($nop);
});

Route::get('/qrsppt', function (Request $request) {
    $nop = $request->nop;
    $url = url('esppt') . '?nop=' . $nop;
    return  \QrCode::size(200)
        ->style('square')
        ->generate($url);
});



route::get('penelitian/nota-perhitungan-pdf/{id}', 'LhpController@notaPerhitunganPdf');
Route::get('menus', 'MenuController@index');
Route::get('menus-show', 'MenuController@show');
Route::post('menus', 'MenuController@store')->name('menus.store');
Route::patch('menus-update/{id}', 'MenuController@updateFunction')->name('menus.update');
Route::get('menu-hapus/{id}', 'MenuController@hapus');
Route::get('menus/create', 'MenuController@create')->name('menus.create');
Route::get('menus/{id}', 'MenuController@edit')->name('menus.edit');
route::get('sk/{ide}', 'SuratKeputusanController@cetakSK');
route::get('sk-tte', 'SuratKeputusanController@ContohSkTte');


Route::group(['middleware' => ['auth', 'isOn']], function () {

    // pembayaran-qris
    route::resource('pembayaran-qris', 'QrisController')->only(['index', 'show']);
    route::get('pembayaran-qris-cetak', 'QrisController@cetak');
    // pembayaran-va
    route::resource('pembayaran-va', 'VirtualController')->only(['index', 'show']);
    route::get('pembayaran-va-cetak', 'VirtualController@cetak');
    // pembayaran-va.show
    // route::get('pembayaran-va/')


    // pembayaran-va.show

    Route::get('pembayaran-blokir-nop', 'LaporanAnalisaController@pembayaranblokirnop')->name('pembayaran.blokir.nop');
    Route::group(['prefix' => 'pembayaran-blokir', 'as' => 'pembayaran.blokir.'], function () {
        Route::get('verifikasi', 'LaporanAnalisaController@pembayaranblokirverifikasi')->name('verifikasi');
        Route::get('verifikasi/{trx}', 'LaporanAnalisaController@pembayaranblokirverifikasiForm')->name('verifikasi-form');
        Route::post('verifikasi/{trx}', 'LaporanAnalisaController@pembayaranblokirverifikasiFormStore')->name('verifikasi-form.store');
        Route::post('upload', 'LaporanAnalisaController@blokirUpload')->name('upload');
        Route::post('buka-blokir', 'LaporanAnalisaController@bukaBlokir')->name('buka');
        Route::post('buka-blokir-trx', 'LaporanAnalisaController@bukaBlokirMasal')->name('bukamasal');
        Route::get('pdf/{trx}', 'LaporanAnalisaController@pembayaranTerblokirPdf')->name('pdf');
        Route::get('/', 'LaporanAnalisaController@pembayaran_terblokir')->name('index');
        // pendataan/penangguhan?tab=Koreksi%20Piutang
        Route::get('/{trx}', 'LaporanAnalisaController@pembayaranTerblokirDetail')->name('show');
        Route::post('/', 'LaporanAnalisaController@pembayaran_terblokir_store')->name('store');
    });

    Route::group(['prefix' => 'pendataan', 'as' => 'pendataan.'], function () {

resources/views/dbkb/jepebeenambelas/_index.blade.php
<table class="table table-sm table-bordered">
    <thead class="bg-info">
        <tr>
            <th rowspan="2" width="15px" class="text-center">No</th>
            <th width="200px" rowspan="2" class="text-center">Lantai</th>
            <th colspan="4" class="text-center">Kelas</th>
        </tr>
        <tr>
            <th class="text-center">1</th>
            <th class="text-center">2</th>
            <th class="text-center">3</th>
            <th class="text-center">4</th>
        </tr>
    </thead>
    <tbody>
        @foreach ($data as $i=>$rk)
        <tr>
            <td class="text-center">{{ $i+1 }} </td>
            <td class="text-center">{{ $rk->lantai_min_jpb16 }} s.d. {{ $rk->lantai_max_jpb16 }}</td>
            <td class="text-right"> @if($read=='0') <input type="text" class="form-control angka" name="nilai_{{$i}}[]" value="{{ $rk->satu }}"> @else {{ angka($rk->satu) }} @endif</td>
            <td class="text-right"> @if($read=='0') <input type="text" class="form-control angka" name="nilai_{{$i}}[]" value="{{ $rk->dua }}"> @else {{ angka($rk->dua) }} @endif</td>
            <td class="text-right"> @if($read=='0') <input type="text" class="form-control angka" name="nilai_{{$i}}[]" value="{{ $rk->tiga }}"> @else {{ angka($rk->tiga) }} @endif</td>
            <td class="text-right"> @if($read=='0') <input type="text" class="form-control angka" name="nilai_{{$i}}[]" value="{{ $rk->empat }}"> @else {{ angka($rk->empat) }} @endif</td>
        </tr>
        @endforeach
    </tbody>
</table>
@if($read=='0')
<div class="float-right">
    <button class="btn btn-sm btn-flat btn-primary"><i class="fas fa-save"></i> Simpan</button>
    <a href="{{ route('dbkb.jepebe-enam-belas.index') }}" class="btn btn-sm btn-flat btn-warning"><i class="far fa-window-close"></i> Batal</a>
</div>
@endif

resources/views/dbkb/jepebeenambelas/form.blade.php
@extends('layouts.app')

@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>DBKB JPB 16 (GEDUNG SEKOLAH)</h1>
            </div>
            <div class="col-sm-6">
                <div class="float-sm-right">

                </div>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">

                    <div class="card-body p-2">
                        <form action="{{ route('dbkb.jepebe-enam-belas.store') }}" method="post">
                            @csrf
                            @method('post')
                            <div class="row">
                                <div class="col-md-2">
                                    <div class="form-group row">
                                        <label for="thn_dbkb_jpb16" class="col-sm-6 col-form-label">Tahun</label>
                                        <div class="col-sm-6">
                                            <input type="text" class="form-control angka" name="thn_dbkb_jpb16" id="thn_dbkb_jpb16" placeholder="Tahun" maxlength="4" autofocus>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12">
                                    <div id="konten"></div>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
@section('script')
<script>
    $(function() {
        $('#thn_dbkb_jpb16').on('keyup', function(e) {
            thn = $('#thn_dbkb_jpb16').val()
            // console.log(thn.length)

            if (thn.length == 4) {
                openloading()
                $.ajax({
                    url: "{{ route('dbkb.jepebe-enam-belas.create') }}"
                    , data: {
                        'tahun': thn
                    }
                    , success: function(res) {
                        closeloading()
                        $('#konten').html(res)
                    }
                })
            } else {
                $('#konten').html('')
            }
        })
    });

</script>
@endsection

resources/views/dbkb/jepebeenambelas/index.blade.php
@extends('layouts.app')

@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>DBKB JPB 16 (GEDUNG SEKOLAH)</h1>
            </div>
            <div class="col-sm-6">
                <div class="float-sm-right">
                    <a href="{{ route('dbkb.jepebe-enam-belas.create') }}" class="btn btn-primary btn-sm">
                        <i class="fas fa-file"></i> Konfigurasi
                    </a>
                </div>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body p-2">
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group row">
                                    <label for="thn_dbkb_jpb16" class="col-sm-6 col-form-label">Tahun</label>
                                    <div class="col-sm-6">
                                        <input type="text" class="form-control angka" name="thn_dbkb_jpb16" id="thn_dbkb_jpb16" value="{{ date('Y') }}" placeholder="Tahun" maxlength="4" autofocus>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div id="konten"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
@section('script')
<script>
    $(function() {
        // $('#thn_dbkb_jpb16').trigger('change')

        loaddata($('#thn_dbkb_jpb16').val())

        function loaddata(thn) {
            if (thn.length == 4) {
                openloading()
                $.ajax({
                    url: "{{ route('dbkb.jepebe-enam-belas.index') }}"
                    , data: {
                        'tahun': thn
                    }
                    , success: function(res) {
                        closeloading()
                        $('#konten').html(res)
                    }
                })
            } else {
                $('#konten').html('')
            }
        }


        $('#thn_dbkb_jpb16').on('keyup change', function(e) {
            thn = $('#thn_dbkb_jpb16').val()
            loaddata(thn)
        })
    });

</script>
@endsection